--- a/MySQL.spec	2025-05-14 02:13:59.978111964 +0000
+++ b/MySQL.spec	2025-05-14 02:14:00.004112299 +0000
@@ -529,7 +529,7 @@
 %if_with mysql_router 
 %pre router
 /usr/sbin/groupadd -r -f %mysqlrouter_user
-/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -n %mysqlrouter_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -N %mysqlrouter_user >/dev/null 2>&1 ||:
 if [ -e /etc/mysqlrouter/mysqlrouter.conf -a ! -e /etc/mysqlrouter/mysqlrouter.conf.rename ]; then
         mv -v /etc/mysqlrouter/mysqlrouter.conf /etc/mysqlrouter/mysqlrouter.conf.rename &&
         chown 0:0 /etc/mysqlrouter/mysqlrouter.conf.rename &&
@@ -557,7 +557,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 if [ ! -e %ROOT/my.cnf -a -f /etc/my.cnf -a ! -L /etc/my.cnf -a ! -e /etc/my.cnf.rename ]; then
 	mv -v /etc/my.cnf /etc/my.cnf.rename &&
--- a/agola.spec	2025-05-14 02:14:00.073113189 +0000
+++ b/agola.spec	2025-05-14 02:14:00.076113228 +0000
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/alterator-fbi.spec	2025-05-14 02:14:00.150114183 +0000
+++ b/alterator-fbi.spec	2025-05-14 02:14:00.155114247 +0000
@@ -85,7 +85,7 @@
 %pre
 /usr/sbin/groupadd -r -f _ahttpd
 /usr/sbin/groupadd -r -f _alteratord
-/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -N _ahttpd >/dev/null 2>&1 ||:
 
 %post
 %post_service ahttpd
--- a/asterisk.spec	2025-05-14 02:14:00.283115898 +0000
+++ b/asterisk.spec	2025-05-14 02:14:00.292116014 +0000
@@ -120,7 +120,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _asterisk &> /dev/null
-%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -n _asterisk &> /dev/null ||:
+%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -N _asterisk &> /dev/null ||:
 
 %post
 %post_service asterisk
--- a/atftp.spec	2025-05-14 02:14:00.319116362 +0000
+++ b/atftp.spec	2025-05-14 02:14:00.321116388 +0000
@@ -48,7 +48,7 @@
  
 %pre
 %_sbindir/groupadd -r -f _atftpd &> /dev/null
-%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -n _atftpd &> /dev/null ||:
+%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -N _atftpd &> /dev/null ||:
 
 %post
 %post_service atftpd
--- a/bacula11.spec	2025-05-14 02:14:00.434117846 +0000
+++ b/bacula11.spec	2025-05-14 02:14:00.463118220 +0000
@@ -640,7 +640,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bacula9.spec	2025-05-14 02:14:00.504118749 +0000
+++ b/bacula9.spec	2025-05-14 02:14:00.531119097 +0000
@@ -612,7 +612,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bind.spec	2025-05-14 02:14:00.571119613 +0000
+++ b/bind.spec	2025-05-14 02:14:00.583119768 +0000
@@ -295,7 +295,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f named
-/usr/sbin/useradd -r -g named -d %_chrootdir -s /dev/null -n -c "Domain Name Server" named >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g named -d %_chrootdir -s /dev/null -N -c "Domain Name Server" named >/dev/null 2>&1 ||:
 [ -f %_initdir/named -a ! -L %_initdir/named ] && /sbin/chkconfig --del named ||:
 %pre_control bind-chroot bind-debug bind-slave bind-caps
 
@@ -319,7 +319,7 @@
 
 %pre -n lwresd
 /usr/sbin/groupadd -r -f lwresd
-/usr/sbin/useradd -r -g lwresd -d / -s /dev/null -n -c "Lightweight Resolver Daemon" lwresd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g lwresd -d / -s /dev/null -N -c "Lightweight Resolver Daemon" lwresd >/dev/null 2>&1 ||:
 
 %post -n lwresd
 %post_service lwresd
--- a/bird.spec	2025-05-14 02:14:00.614120168 +0000
+++ b/bird.spec	2025-05-14 02:14:00.617120206 +0000
@@ -89,7 +89,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _bird 2> /dev/null ||:
-%_sbindir/useradd -r -n -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
+%_sbindir/useradd -r -N -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
 
 %post
 %post_service bird
--- a/burp.spec	2025-05-14 02:14:00.825122889 +0000
+++ b/burp.spec	2025-05-14 02:14:00.828122928 +0000
@@ -72,7 +72,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _burp
-/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -n -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -N -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
 
 %post
 %post_service burp-server
--- a/c-icap.spec	2025-05-14 02:14:00.861123354 +0000
+++ b/c-icap.spec	2025-05-14 02:14:00.865123405 +0000
@@ -95,7 +95,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _c_icap ||:
-/usr/sbin/useradd -M -n _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
+/usr/sbin/useradd -M -N _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
 
 # home directory was in /var/run/ before 1:0.5.6-alt2
 /usr/sbin/usermod --home /run/%name _c_icap ||:
--- a/cmdproxyd.spec	2025-05-14 02:14:01.047125753 +0000
+++ b/cmdproxyd.spec	2025-05-14 02:14:01.048125766 +0000
@@ -26,7 +26,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/colord.spec	2025-05-14 02:14:01.074126101 +0000
+++ b/colord.spec	2025-05-14 02:14:01.083126217 +0000
@@ -162,7 +162,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %colord_group 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %colord_group -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %colord_group -d %_localstatedir/%name \
 	-s /dev/null -c "User for colord" %colord_user 2>/dev/null ||:
 
 %files -f %name.lang
--- a/dansguardian.spec	2025-05-14 02:14:01.162127236 +0000
+++ b/dansguardian.spec	2025-05-14 02:14:01.165127275 +0000
@@ -58,7 +58,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/dbus.spec	2025-05-14 02:14:01.192127623 +0000
+++ b/dbus.spec	2025-05-14 02:14:01.198127701 +0000
@@ -147,7 +147,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %dbus_group 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
 
 %post
 if [ $1 -eq 1 ] ; then
--- a/deluge.spec	2025-05-14 02:14:01.240128242 +0000
+++ b/deluge.spec	2025-05-14 02:14:01.246128320 +0000
@@ -115,7 +115,7 @@
 
 %pre -n deluged
 %_sbindir/groupadd -r -f _deluge
-%_sbindir/useradd -r -n -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
 
 %post -n deluged
 %post_service deluged
--- a/dictd.spec	2025-05-14 02:14:01.273128668 +0000
+++ b/dictd.spec	2025-05-14 02:14:01.280128758 +0000
@@ -160,7 +160,7 @@
 
 %pre
 %_sbindir/groupadd -r dictd &>/dev/null ||:
-%_sbindir/useradd -r -n -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
 
 %post
 if [ "$1" = "1" ]; then
--- a/dovecot.spec	2025-05-14 02:14:01.342129558 +0000
+++ b/dovecot.spec	2025-05-14 02:14:01.348129635 +0000
@@ -163,10 +163,10 @@
 %pre
 %pre_control mailboxes
 groupadd -r -f dovecot 2>/dev/null ||:
-useradd -r -n -g dovecot -c 'Dovecot internal processes' \
+useradd -r -N -g dovecot -c 'Dovecot internal processes' \
 		-d %_var/run/%name -s /dev/null dovecot 2>/dev/null ||:
 groupadd -r -f dovenull 2>/dev/null ||:
-useradd -r -n -g dovenull -c 'Dovecot untrusted login processes' \
+useradd -r -N -g dovenull -c 'Dovecot untrusted login processes' \
 		-d %_var/run/%name -s /dev/null dovenull 2>/dev/null ||:
 %post
 %post_control -s private mailboxes
--- a/etcd.spec	2025-05-14 02:14:01.512131751 +0000
+++ b/etcd.spec	2025-05-14 02:14:01.515131789 +0000
@@ -82,7 +82,7 @@
 
 %pre
 groupadd -r -f %etcd_group
-useradd -r -g %etcd_group -d /dev/null -s /dev/null -n %etcd_user >/dev/null 2>&1 ||:
+useradd -r -g %etcd_group -d /dev/null -s /dev/null -N %etcd_user >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/fcgiwrap.spec	2025-05-14 02:14:01.627133234 +0000
+++ b/fcgiwrap.spec	2025-05-14 02:14:01.629133260 +0000
@@ -35,7 +35,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -n _fcgiwrap \
+%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -N _fcgiwrap \
         2> /dev/null > /dev/null ||:
 
 %files
--- a/fetchmail.spec	2025-05-14 02:14:01.669133776 +0000
+++ b/fetchmail.spec	2025-05-14 02:14:01.675133853 +0000
@@ -156,7 +156,7 @@
 
 %pre -n %name-daemon
 %_sbindir/groupadd -f %name ||:
-%_sbindir/useradd -r -n -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
 
 %triggerpostun -n %name-daemon -- fetchmail-daemon <= 6.3.9-alt1
 usermod -d %rtdir %name ||:
--- a/flatpak.spec	2025-05-14 02:14:01.703134214 +0000
+++ b/flatpak.spec	2025-05-14 02:14:01.709134292 +0000
@@ -118,7 +118,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %flatpak_group 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %flatpak_group -d / \
+%_sbindir/useradd -r -N -g %flatpak_group -d / \
 	-s /sbin/nologin -c "User for flatpak system helper" %flatpak_user 2>/dev/null ||:
 
 %post
--- a/freeradius.spec	2025-05-14 02:14:02.021138316 +0000
+++ b/freeradius.spec	2025-05-14 02:14:02.048138664 +0000
@@ -226,7 +226,7 @@
 
 %pre common
 /usr/sbin/groupadd -r -f radiusd
-/usr/sbin/useradd -r -n -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
 
 %post
 %post_service radiusd
--- a/ftn.spec	2025-05-14 02:14:02.120139593 +0000
+++ b/ftn.spec	2025-05-14 02:14:02.124139645 +0000
@@ -75,7 +75,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name ||:
-/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -N %name &>/dev/null ||:
 
 %files
 %defattr(644,root,%name,750)
--- a/puppet.spec	2025-05-14 02:14:03.071151859 +0000
+++ b/puppet.spec	2025-05-14 02:14:03.077151936 +0000
@@ -131,7 +131,7 @@
    rm -rf %_sysconfdir/puppetlabs/puppet/ssl)
 getent group foreman >/dev/null || %_sbindir/groupadd -r foreman
 getent group puppet >/dev/null || %_sbindir/groupadd -r puppet
-%_sbindir/useradd -r -n -G puppet,foreman -d %_cachedir/puppet -s /dev/null -c Puppet _puppet >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -G puppet,foreman -d %_cachedir/puppet -s /dev/null -c Puppet _puppet >/dev/null 2>&1 ||:
 
 %post          -n %pkgname
 %post_service puppet
--- a/git.spec	2025-05-14 02:14:03.259154284 +0000
+++ b/git.spec	2025-05-14 02:14:03.274154477 +0000
@@ -383,7 +383,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f _gitd
-/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -n _gitd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -N _gitd >/dev/null 2>&1 ||:
 
 %files
 
--- a/havp.spec	2025-05-14 02:14:03.539157895 +0000
+++ b/havp.spec	2025-05-14 02:14:03.543157947 +0000
@@ -94,7 +94,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -d /dev/null -c 'Proxy with antivirus scan' -s /dev/null -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -c 'Proxy with antivirus scan' -s /dev/null -N %name &> /dev/null ||:
 
 %post
 %post_service %name
--- a/iftop.spec	2025-05-14 02:14:03.594158604 +0000
+++ b/iftop.spec	2025-05-14 02:14:03.597158643 +0000
@@ -57,7 +57,7 @@
 
 %post
 %_sbindir/groupadd -r -f _iftop
-%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -n _iftop >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -N _iftop >/dev/null 2>&1 ||:
 %post_control -s netadmin iftop
 
 %files
--- a/iputils.spec	2025-05-14 02:14:03.720160229 +0000
+++ b/iputils.spec	2025-05-14 02:14:03.724160281 +0000
@@ -96,7 +96,7 @@
 
 %pre
 groupadd -r -f iputils ||:
-useradd -r -g iputils -d /dev/null -s /dev/null -n iputils >/dev/null 2>&1 ||:
+useradd -r -g iputils -d /dev/null -s /dev/null -N iputils >/dev/null 2>&1 ||:
 groupadd -r -f netadmin ||:
 
 %pre_control ping
--- a/jicofo.spec	2025-05-14 02:14:04.105165195 +0000
+++ b/jicofo.spec	2025-05-14 02:14:04.108165234 +0000
@@ -67,7 +67,7 @@
 %_unitdir/%name.service
 
 %pre
-%_sbindir/useradd -r -d /dev/null -s /dev/null -n %jicofo_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -N %jicofo_user \
         2> /dev/null > /dev/null ||:
 
 %changelog
--- a/kannel.spec	2025-05-14 02:14:04.166165982 +0000
+++ b/kannel.spec	2025-05-14 02:14:04.171166046 +0000
@@ -120,7 +120,7 @@
 
 %pre
 %_sbindir/groupadd %kannel_group ||:
-%_sbindir/useradd -r -d /dev/null -s /dev/null -g %kannel_group -n %kannel_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -g %kannel_group -N %kannel_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/lightsquid.spec	2025-05-14 02:14:09.445234058 +0000
+++ b/lightsquid.spec	2025-05-14 02:14:09.450234123 +0000
@@ -91,7 +91,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -N %name &> /dev/null ||:
 
 %post
 if [[ -d %lightdir/report ]]; then
--- a/manticore.spec	2025-05-14 02:14:09.543235322 +0000
+++ b/manticore.spec	2025-05-14 02:14:09.548235386 +0000
@@ -106,7 +106,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _%name &>/dev/null
-%_sbindir/useradd -r -n -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mariadb.spec	2025-05-14 02:14:09.579235786 +0000
+++ b/mariadb.spec	2025-05-14 02:14:09.608236160 +0000
@@ -698,7 +698,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 %pre_control mysqld
 %pre_control mysqld-chroot
--- a/mediatomb.spec	2025-05-14 02:14:09.663236869 +0000
+++ b/mediatomb.spec	2025-05-14 02:14:09.666236908 +0000
@@ -50,7 +50,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _mediatomb >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -n -g _mediatomb -d %_localstatedir/%name -s /dev/null -c 'MediaTomb UPnP(TM) A/V Media Server' _mediatomb >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _mediatomb -d %_localstatedir/%name -s /dev/null -c 'MediaTomb UPnP(TM) A/V Media Server' _mediatomb >/dev/null 2>&1 ||:
 
 %post
 %post_service mediatomb
--- a/memcached.spec	2025-05-14 02:14:09.706237424 +0000
+++ b/memcached.spec	2025-05-14 02:14:09.710237475 +0000
@@ -80,7 +80,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %pkg_group
-%_sbindir/useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user \
+%_sbindir/useradd -r -g %pkg_group -d /dev/null -s /dev/null -N %pkg_user \
 	2> /dev/null > /dev/null ||:
 if [ $1 -eq 2 ] && [ ! -f /var/run/%name/%name.pid ] && [ -f /var/run/%name.pid ]; then
    mkdir /var/run/%name/
--- a/minio.spec	2025-05-14 02:14:09.780238378 +0000
+++ b/minio.spec	2025-05-14 02:14:09.783238416 +0000
@@ -75,7 +75,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mkai.spec	2025-05-14 02:14:09.810238765 +0000
+++ b/mkai.spec	2025-05-14 02:14:09.811238778 +0000
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mkaiuser
-%_sbindir/useradd -r -g %mkaiuser -d %_localstatedir/%name -s /dev/null -n %mkaiuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mkaiuser -d %_localstatedir/%name -s /dev/null -N %mkaiuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mkaiuser; then
 	hasher-useradd %mkaiuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/mknfsroot.spec	2025-05-14 02:14:09.845239216 +0000
+++ b/mknfsroot.spec	2025-05-14 02:14:09.847239242 +0000
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mknfsrootuser
-%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -n %mknfsrootuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -N %mknfsrootuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mknfsrootuser; then
 	hasher-useradd %mknfsrootuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/monetdb.spec	2025-05-14 02:14:09.925240248 +0000
+++ b/monetdb.spec	2025-05-14 02:14:09.929240299 +0000
@@ -74,7 +74,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _monetdb
-%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -n _monetdb > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -N _monetdb > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/mongo.spec	2025-05-14 02:14:09.955240634 +0000
+++ b/mongo.spec	2025-05-14 02:14:09.961240712 +0000
@@ -121,7 +121,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -131,7 +131,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mpd.spec	2025-05-14 02:14:10.123242801 +0000
+++ b/mpd.spec	2025-05-14 02:14:10.133242929 +0000
@@ -253,7 +253,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mpd_group &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
     -c "Music Player Daemon (%Name)" %mpd_user &>/dev/null ||:
 %_sbindir/usermod -g %mpd_group -G audio %mpd_user &>/dev/null ||:
 
--- a/mrtg.spec	2025-05-14 02:14:10.178243510 +0000
+++ b/mrtg.spec	2025-05-14 02:14:10.182243561 +0000
@@ -102,7 +102,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name &> /dev/null ||:
 
 %files
 %doc CHANGES COPYRIGHT MANIFEST README README.ALT-ru_RU.KOI8-R THANKS
--- a/mtr.spec	2025-05-14 02:14:10.220244051 +0000
+++ b/mtr.spec	2025-05-14 02:14:10.225244116 +0000
@@ -130,7 +130,7 @@
 %pre
 /usr/sbin/groupadd -r -f netadmin
 /usr/sbin/groupadd -r -f mtruser
-/usr/sbin/useradd -r -g mtruser -d /dev/null -s /dev/null -n mtruser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g mtruser -d /dev/null -s /dev/null -N mtruser >/dev/null 2>&1 ||:
 %pre_control mtr
 
 %post
--- a/nagios.spec	2025-05-14 02:14:10.255244502 +0000
+++ b/nagios.spec	2025-05-14 02:14:10.267244657 +0000
@@ -259,7 +259,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/%name \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nagios-nrpe.spec	2025-05-14 02:14:10.312245237 +0000
+++ b/nagios-nrpe.spec	2025-05-14 02:14:10.318245315 +0000
@@ -131,7 +131,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null ||:
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/nagios \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/nagios \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nbd.spec	2025-05-14 02:14:10.359245843 +0000
+++ b/nbd.spec	2025-05-14 02:14:10.364245908 +0000
@@ -118,7 +118,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _nbd
-%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -n _nbd > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -N _nbd > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/nfdump.spec	2025-05-14 02:14:10.392246269 +0000
+++ b/nfdump.spec	2025-05-14 02:14:10.397246333 +0000
@@ -145,10 +145,10 @@
 
 %pre
 %_sbindir/groupadd -r -f nfcapd
-%_sbindir/useradd -r -n -g nfcapd -d %_cachedir/nfcapd -s /bin/false nfcapd >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g nfcapd -d %_cachedir/nfcapd -s /bin/false nfcapd >/dev/null 2>&1 ||:
 
 %_sbindir/groupadd -r -f sfcapd
-%_sbindir/useradd -r -n -g sfcapd -d %_cachedir/sfcapd -s /bin/false sfcapd >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g sfcapd -d %_cachedir/sfcapd -s /bin/false sfcapd >/dev/null 2>&1 ||:
 
 %post
 %post_service nfcapd
--- a/nfs.spec	2025-05-14 02:14:10.425246694 +0000
+++ b/nfs.spec	2025-05-14 02:14:10.433246798 +0000
@@ -130,9 +130,9 @@
 #-------------------------------------------------------------------------------
 %pre clients
 %_sbindir/groupadd -r -f rpcuser &> /dev/null
-%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -n rpcuser &> /dev/null ||:
+%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -N rpcuser &> /dev/null ||:
 %_sbindir/groupadd -r -f nfsuser &> /dev/null
-%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -n nfsuser &> /dev/null ||:
+%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -N nfsuser &> /dev/null ||:
 
 %pre utils
 [ $1 -eq 1 ] || /usr/sbin/control-dump nfsmount
--- a/nginx.spec	2025-05-14 02:14:10.464247197 +0000
+++ b/nginx.spec	2025-05-14 02:14:10.475247339 +0000
@@ -293,7 +293,7 @@
 %pre
 %_sbindir/groupadd -r -f %nginx_group ||:
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -n %nginx_user \
+%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -N %nginx_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/ngrep.spec	2025-05-14 02:14:10.506247739 +0000
+++ b/ngrep.spec	2025-05-14 02:14:10.508247765 +0000
@@ -52,7 +52,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/%name
--- a/nmap.spec	2025-05-14 02:14:10.534248100 +0000
+++ b/nmap.spec	2025-05-14 02:14:10.538248151 +0000
@@ -96,7 +96,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f nmapuser
-/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -n nmapuser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -N nmapuser >/dev/null 2>&1 ||:
 
 %files
 %_bindir/nmap
--- a/nsd.spec	2025-05-14 02:14:10.565248500 +0000
+++ b/nsd.spec	2025-05-14 02:14:10.568248538 +0000
@@ -62,7 +62,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _nsd
-/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -n -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -N -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
 
 %preun
 %preun_service nsd
--- a/openssh.spec	2025-05-14 02:14:12.396272107 +0000
+++ b/openssh.spec	2025-05-14 02:14:12.407272249 +0000
@@ -235,7 +235,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2025-05-14 02:14:12.439272662 +0000
+++ b/openssh.spec	2025-05-14 02:14:12.450272803 +0000
@@ -251,7 +251,7 @@
 
 %pre -n %oname-server-gostcrypto
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post -n %oname-server-gostcrypto
--- a/openvswitch.spec	2025-05-14 02:14:12.509273564 +0000
+++ b/openvswitch.spec	2025-05-14 02:14:12.521273719 +0000
@@ -292,7 +292,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 -eq 2 ] && [ -f %_sysconfdir/openvswitch/system-id.conf ] ; then
--- a/osec.spec	2025-05-14 02:14:12.586274557 +0000
+++ b/osec.spec	2025-05-14 02:14:12.589274596 +0000
@@ -88,7 +88,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %osec_group
-/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -n %osec_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -N %osec_user >/dev/null 2>&1 ||:
 
 %triggerpostun -- %name < 0:1.0.0-alt1
 rm -f %osec_statedir/osec.db.*
--- a/passivedns.spec	2025-05-14 02:14:12.710276156 +0000
+++ b/passivedns.spec	2025-05-14 02:14:12.714276207 +0000
@@ -106,7 +106,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
 
 %post daemon
 %post_service %name
--- a/pdnsd.spec	2025-05-14 02:14:12.759276787 +0000
+++ b/pdnsd.spec	2025-05-14 02:14:12.762276826 +0000
@@ -60,7 +60,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %post
 [ -s %_cachedir/%name/%name.cache ] ||
--- a/php7-fpm-fcgi.spec	2025-05-14 02:14:12.985279701 +0000
+++ b/php7-fpm-fcgi.spec	2025-05-14 02:14:12.991279779 +0000
@@ -147,7 +147,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php7_sapi_preun
--- a/pidentd.spec	2025-05-14 02:14:13.030280281 +0000
+++ b/pidentd.spec	2025-05-14 02:14:13.032280307 +0000
@@ -46,7 +46,7 @@
 install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_initdir/identd
 
 %pre                                                                                                  
-/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -N %name &>/dev/null ||:
 
 %post
 %post_service identd
--- a/pipewire.spec	2025-05-14 02:14:13.080280926 +0000
+++ b/pipewire.spec	2025-05-14 02:14:13.084280978 +0000
@@ -110,7 +110,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %name -d / \
+%_sbindir/useradd -r -N -g %name -d / \
 	-s /dev/null -c "PipeWire System Daemon" %name 2>/dev/null ||:
 
 %files
--- a/polkit.spec	2025-05-14 02:14:13.835290660 +0000
+++ b/polkit.spec	2025-05-14 02:14:13.839290711 +0000
@@ -97,7 +97,7 @@
 
 %pre
 %_sbindir/groupadd -r -f polkitd 2>/dev/null ||:
-%_sbindir/useradd -r -n -g polkitd -d / \
+%_sbindir/useradd -r -N -g polkitd -d / \
 	-s /dev/null -c "User for polkitd" polkitd 2>/dev/null ||:
 
 %files -f %name-1.lang
--- a/popa3d.spec	2025-05-14 02:14:13.866291059 +0000
+++ b/popa3d.spec	2025-05-14 02:14:13.868291085 +0000
@@ -46,7 +46,7 @@
 
 %post
 /usr/sbin/groupadd -r -f popa3d
-/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -n popa3d >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -N popa3d >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/popa3d
--- a/postfix.spec	2025-05-14 02:14:13.939292000 +0000
+++ b/postfix.spec	2025-05-14 02:14:13.956292220 +0000
@@ -531,8 +531,8 @@
 /usr/sbin/groupadd -r -f %mail_owner
 /usr/sbin/groupadd -r -f %default_privs
 /usr/sbin/groupadd -r -f %mail_admin
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
-/usr/sbin/useradd -r -n -g %default_privs -d /dev/null -s /dev/null -c %default_privs %default_privs >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %default_privs -d /dev/null -s /dev/null -c %default_privs %default_privs >/dev/null 2>&1 ||:
 
 rm -f %restart_flag
 if [ $1 -ge 2 ]; then
--- a/pound.spec	2025-05-14 02:14:13.995292722 +0000
+++ b/pound.spec	2025-05-14 02:14:13.997292748 +0000
@@ -42,7 +42,7 @@
 %post_service pound
 
 /usr/sbin/groupadd -r -f _pound
-/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -n _pound >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -N _pound >/dev/null 2>&1 ||:
 
 %preun
 %preun_service pound
--- a/prosody.spec	2025-05-14 02:14:14.040293302 +0000
+++ b/prosody.spec	2025-05-14 02:14:14.042293328 +0000
@@ -50,7 +50,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _prosody
-/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -n -c "%summary" _prosody >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -N -c "%summary" _prosody >/dev/null 2>&1 ||:
 
 %preun
 %preun_service prosody
--- a/pypolicyd-spf.spec	2025-05-14 02:14:14.125294398 +0000
+++ b/pypolicyd-spf.spec	2025-05-14 02:14:14.127294424 +0000
@@ -47,7 +47,7 @@
 /usr/sbin/groupadd -r -f %pypolicy_owner
 /usr/sbin/groupadd -r -f %pypolicy_admin
 
-/usr/sbin/useradd -r -n -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
 
 %files -f INSTALLED_FILES
 %_man1dir/*
--- a/quagga.spec	2025-05-14 02:14:16.566325866 +0000
+++ b/quagga.spec	2025-05-14 02:14:16.574325969 +0000
@@ -231,7 +231,7 @@
 /usr/sbin/groupadd -rf %vty_gid
 /usr/sbin/groupadd -rf %quagga_gid
 
-/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -n %quagga_user &>/dev/null ||:
+/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -N %quagga_user &>/dev/null ||:
 /usr/sbin/usermod -G %vty_gid %quagga_user &>/dev/null ||:
 
 %post
--- a/rpcbind.spec	2025-05-14 02:14:16.740328109 +0000
+++ b/rpcbind.spec	2025-05-14 02:14:16.742328135 +0000
@@ -45,7 +45,7 @@
 
 %post
 /usr/sbin/groupadd -r -f rpc
-/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -N rpc >/dev/null 2>&1 ||:
 %post_control -s local rpcbind
 %post_service %name
 
--- a/sa-content-filter.spec	2025-05-14 02:14:16.979331190 +0000
+++ b/sa-content-filter.spec	2025-05-14 02:14:16.982331229 +0000
@@ -36,7 +36,7 @@
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
-/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -n _filter >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -N _filter >/dev/null 2>&1 ||:
 
 %post
 if [ "$1" -eq 1 ]; then
--- a/scanlogd.spec	2025-05-14 02:14:17.008331564 +0000
+++ b/scanlogd.spec	2025-05-14 02:14:17.010331589 +0000
@@ -45,7 +45,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/slocate.spec	2025-05-14 02:14:17.173333691 +0000
+++ b/slocate.spec	2025-05-14 02:14:17.175333716 +0000
@@ -30,7 +30,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %attr(2711,root,%name) %_bindir/%name
--- a/smstools.spec	2025-05-14 02:14:17.232334451 +0000
+++ b/smstools.spec	2025-05-14 02:14:17.234334477 +0000
@@ -43,7 +43,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f smsd
-/usr/sbin/useradd -r -n -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
 
 %post
 %post_service smsd
--- a/snmptt.spec	2025-05-14 02:14:17.262334838 +0000
+++ b/snmptt.spec	2025-05-14 02:14:17.266334889 +0000
@@ -105,7 +105,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f snmptt ||:
-/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -n -c "SNMP Trap Translate" snmptt ||:
+/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -N -c "SNMP Trap Translate" snmptt ||:
 
 %post
 %post_service %name
--- a/spawn-fcgi.spec	2025-05-14 02:14:17.312335482 +0000
+++ b/spawn-fcgi.spec	2025-05-14 02:14:17.314335508 +0000
@@ -44,7 +44,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %spawn_fcgi_group ||:
-%_sbindir/useradd -r -g %spawn_fcgi_group -d /dev/null -s /dev/null -n %spawn_fcgi_user \
+%_sbindir/useradd -r -g %spawn_fcgi_group -d /dev/null -s /dev/null -N %spawn_fcgi_user \
         2> /dev/null > /dev/null ||:
 
 %post
--- a/sphinx.spec	2025-05-14 02:14:17.373336269 +0000
+++ b/sphinx.spec	2025-05-14 02:14:17.379336346 +0000
@@ -150,7 +150,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
-%_sbindir/useradd -r -n -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
 
 %post
 %post_service searchd
--- a/sqlgrey.spec	2025-05-14 02:14:17.434337055 +0000
+++ b/sqlgrey.spec	2025-05-14 02:14:17.436337081 +0000
@@ -50,7 +50,7 @@
 /usr/sbin/groupadd -r -f %sqlgrey_owner
 /usr/sbin/groupadd -r -f %sqlgrey_admin
 
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 = 1 ]; then
--- a/sssd.spec	2025-05-14 02:14:17.477337609 +0000
+++ b/sssd.spec	2025-05-14 02:14:17.501337919 +0000
@@ -529,7 +529,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %sssd_user 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
 
 %post
 chown root:root %_sysconfdir/sssd/sssd.conf
--- a/starman.spec	2025-05-14 02:14:17.539338409 +0000
+++ b/starman.spec	2025-05-14 02:14:17.551338563 +0000
@@ -65,7 +65,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _starman
-%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -n _starman > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -N _starman > /dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/sysklogd.spec	2025-05-14 02:14:17.581338950 +0000
+++ b/sysklogd.spec	2025-05-14 02:14:17.585339001 +0000
@@ -103,7 +103,7 @@
 
 %pre -n syslogd
 /usr/sbin/groupadd -r -f syslogd
-/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -n syslogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -N syslogd >/dev/null 2>&1 ||:
 
 %post -n syslogd
 %post_service syslogd
@@ -113,7 +113,7 @@
 
 %pre -n klogd
 /usr/sbin/groupadd -r -f klogd
-/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -n klogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -N klogd >/dev/null 2>&1 ||:
 
 %post -n klogd
 %post_service klogd
--- a/telnet.spec	2025-05-14 02:14:17.692340381 +0000
+++ b/telnet.spec	2025-05-14 02:14:17.695340419 +0000
@@ -66,7 +66,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f telnetd
-/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -n telnetd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -N telnetd >/dev/null 2>&1 ||:
 
 %files
 %_bindir/telnet
--- a/tftp.spec	2025-05-14 02:14:17.919343307 +0000
+++ b/tftp.spec	2025-05-14 02:14:17.925343384 +0000
@@ -133,7 +133,7 @@
 
 %post -n %{name}d
 %_sbindir/groupadd -rf %sys_group ||:
-%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -n %sys_user &>/dev/null ||:
+%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -N %sys_user &>/dev/null ||:
 
 %post server-standalone
 %post_service %dname ||:
--- a/tokyotyrant.spec	2025-05-14 02:14:17.955343771 +0000
+++ b/tokyotyrant.spec	2025-05-14 02:14:17.960343835 +0000
@@ -120,7 +120,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _tyrant &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
     -c "Server of Tokyo Tyrant (%sname)" _tyrant &>/dev/null ||:
 
 
--- a/ulogd.spec	2025-05-14 02:14:18.076345331 +0000
+++ b/ulogd.spec	2025-05-14 02:14:18.081345395 +0000
@@ -119,7 +119,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/unbound.spec	2025-05-14 02:14:18.110345769 +0000
+++ b/unbound.spec	2025-05-14 02:14:18.117345859 +0000
@@ -163,7 +163,7 @@
 
 %pre -n lib%name
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -n -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -N -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/utftpd.spec	2025-05-14 02:14:18.149346271 +0000
+++ b/utftpd.spec	2025-05-14 02:14:18.152346310 +0000
@@ -69,7 +69,7 @@
 
 %pre
 /usr/sbin/groupadd -rf tftp
-/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -n tftp &>/dev/null ||:
+/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -N tftp &>/dev/null ||:
 
 %files
 %ghost %_sysconfdir/utftpd.cdb
--- a/varnish.spec	2025-05-14 02:14:18.191346813 +0000
+++ b/varnish.spec	2025-05-14 02:14:18.195346864 +0000
@@ -126,7 +126,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %name -d %_var/run/%name \
+%_sbindir/useradd -r -N -g %name -d %_var/run/%name \
  -s /dev/null -c 'Varnish HTTP accelerator' %name 2>/dev/null ||:
 
 %preun
--- a/virtualbox.spec	2025-05-14 02:14:18.730353760 +0000
+++ b/virtualbox.spec	2025-05-14 02:14:18.757354108 +0000
@@ -810,7 +810,7 @@
 
 %if_with webservice
 %pre webservice
-/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -n vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -N vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
 %endif
 
 %ifarch x86_64
--- a/vsftpd.spec	2025-05-14 02:14:18.831355062 +0000
+++ b/vsftpd.spec	2025-05-14 02:14:18.834355101 +0000
@@ -75,8 +75,8 @@
 umask 077
 /usr/sbin/groupadd -r -f vsftpd
 /usr/sbin/groupadd -r -f novsftpd
-/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -n vsftpd >/dev/null 2>&1 ||:
-/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -n novsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -N vsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -N novsftpd >/dev/null 2>&1 ||:
 touch %_logdir/vsftpd.log
 
 %files
--- a/xfs.spec	2025-05-14 02:14:19.020357498 +0000
+++ b/xfs.spec	2025-05-14 02:14:19.022357524 +0000
@@ -53,7 +53,7 @@
 
 %pre
 %_sbindir/groupadd -r -f xfs >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -n xfs >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -N xfs >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
